---
dependency:
  name: galaxy
driver:
  name: podman
platforms:
  - name: instance
    image: docker.io/geerlingguy/docker-debian10-ansible
    tmpfs:
      - /run
      - /tmp
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    capabilities:
      - SYS_ADMIN
    command: "/lib/systemd/systemd"
    pre_build_image: true
    exposed_ports:
      - 80/udp
      - 80/tcp
    # published_ports:
    #   - 0.0.0.0:8888:80/udp
    #   - 0.0.0.0:8888:80/tcp
provisioner:
  name: ansible
verifier:
  name: ansible
lint: |
    yamllint .